ALLOC_ETHERDEV(9)

NAME
alloc_etherdev - Allocates and sets up an ethernet device

SYNOPSIS

struct net_device * alloc_etherdev (int sizeof_priv);

ARGUMENTS

sizeof_priv
    Size of additional driver-private structure to be allocated for this ethernet device

DESCRIPTION

Fill in the fields of the device structure with ethernet-generic values. Basically does everything except registering the device.

Constructs a new net device, complete with a private data area of size sizeof_priv. A 32-byte (not bit) alignment is enforced for this private data area.